Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157 - Xclients doesn't run fvwm
Summary: Xclients doesn't run fvwm
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xinitrc
Version: 5.2
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-22 19:24 UTC by bbaetz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-03 21:16:44 UTC


Attachments (Terms of Use)

Description bbaetz 1998-11-22 19:24:33 UTC
The Xclients script has a catchall at the bottom, which runs
RunWM --Fvwm95, and then, if this returns an error, runs
fvwm. However, RunWM won't return an error, as if Fvwm95
isn't found, it runs twm instead, and so Xclients never gets
the chance to exec fvwm.

Comment 1 Cristian Gafton 1998-12-03 21:16:59 UTC
Unfortunately the current settings in the AnotherLevel do not permit
running on a system without fvwm2 installed at all. If RunWM will
return an error when no fvwm2 is installed the window makangers
switching can experience problems.

It is far easier to use the .Xclients for those die-hard old-days fvwm
people.


Note You need to log in before you can comment on or make changes to this bug.